> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# An object's metadata

> Size, last modified, content type and etag of one object you can read.



## OpenAPI

````yaml get /api/storage/buckets/{bucket}/object
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/storage/buckets/{bucket}/object:
    get:
      tags:
        - Object storage
      summary: An object's metadata
      description: Size, last modified, content type and etag of one object you can read.
      operationId: object_info_api_storage_buckets__bucket__object_get
      parameters:
        - name: bucket
          in: path
          required: true
          schema:
            type: string
            title: Bucket
        - name: key
          in: query
          required: true
          schema:
            type: string
            maxLength: 1024
            minLength: 1
            title: Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjectInfo'
        '403':
          description: 'The general PSK or a schedule: browse as a person.'
        '404':
          description: Not found, or not yours to read (they look the same).
        '422':
          description: Not a valid bucket, path or format.
        '502':
          description: Storage couldn't be read.
        '503':
          description: 'Ranger''s evaluator is unavailable: nothing is shown.'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    ObjectInfo:
      properties:
        bucket:
          type: string
          title: Bucket
        key:
          type: string
          title: Key
        name:
          type: string
          title: Name
        url:
          type: string
          title: Url
          description: s3://bucket/key
        size:
          type: integer
          title: Size
        modified:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified
        content_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Type
        etag:
          anyOf:
            - type: string
            - type: 'null'
          title: Etag
      type: object
      required:
        - bucket
        - key
        - name
        - url
        - size
      title: ObjectInfo
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.